#!/etc/opt/openit/perl -w

use strict;

my $cfg = "/var/opt/openit/etc/acc_types";
my $old = "/var/opt/openit/etc/acc_types.old";
my $new = "/var/opt/openit/etc/acc_types.new";

# Only root can patch
if ( $< ne 0 ) {
    die "Error: Patching must be done as 'root'!\n";
}

open(IN, "$cfg") || die "Error: Unable to read old cfg '$cfg'!\n";
open(OUT, ">$new") || die "Error: Can't write new cfg '$new'!\n";

# Copy top definitions from old config
while(my $line = <IN>) {
    if($line =~ /$ARGV[0]/) {
        last;
    }
    print OUT $line;
}

close(IN);
close(OUT);

# Add new acc_types config
if( system("cat $ARGV[1] >> $new") ) {
    die "Error: Unable to add new config to file '$new'";
}

if( ! rename($cfg, $old)) {
    die "Error: Unable to previous config to '$old'!\n";
}

if( ! rename($new, $cfg)) {
    die "Error: Unable to rename new config to '$cfg'!\n";
}

exit 0;
