#!/etc/opt/openit/perl -w

use strict;

my $cfg = "/var/opt/openit/etc/daft.conf";
my $old = "/var/opt/openit/etc/daft.conf.old";
my $new = "/var/opt/openit/etc/daft.conf.new";

# Only root can patch
if ( $< ne 0 ) {
    die "Error: Patching must be done as 'root'!\n";
}

open(OUT, ">$new") || die "Error: Can't write new cfg '$new'!\n";
open(IN, "$cfg") || die "Error: Unable to read old cfg '$cfg'!\n";

# Copy all up to flab config
while(my $line = <IN>) {

    if($line =~ /^flab\(\)=/) {
	last;
    } else {
	print OUT $line
    }
}

# Add updated flab config
print OUT <<EOF
flab()=""
{
        log()=""
        {
                debug-level(Integer)="0"{}
        }
        archive-dir(DirName)="\${OpeniT.directories.data}archives/license/"{}
        scan()=""
        {
                backscan-limit(Integer)="5"{}
        }
        build()=""
        {
                files-per-day(Integer)="24"{}
        }
}
EOF
;

close(IN);
close(OUT);

if( ! rename($cfg, $old)) {
    die "Error: Unable to previous config to '$old'!\n";
}

if( ! rename($new, $cfg)) {
    die "Error: Unable to rename new config to '$cfg'!\n";
}

exit 0;
